## deepin-home 0.0.5

=== src/CMakeLists.txt ===
# Application
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(LIBRARY_OUTPUT_PATH "${CMAKE_CURRENT_SOURCE_DIR}/lib")
    add_definitions(-DLOCALLIBPATH="${LIBRARY_OUTPUT_PATH}")
endif()

add_subdirectory(main)
add_subdirectory(preloadplugin)
add_subdirectory(maincomponentplugin)

=== src/main/CMakeLists.txt ===
include(GNUInstallDirs)
set(APP_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
set(APP_NAME ${CMAKE_PROJECT_NAME})
set(APP_DAEMON_NAME ${CMAKE_PROJECT_NAME}-daemon)
add_definitions(-DAPP_NAME="${APP_NAME}")

###! main目录创建出二进制可执行文件，但启动方式由 DAppLoader
###! 中提供, 请不要在 main 中实现额外内容，请将需要实现的部分
###! 移动到 preload 插件和 maincomponent 插件中。

# Set sources
set(SRC
    main.cpp
    ../../../translations/deepin-home.qrc
    )
set(CMAKE_AUTORCC ON)
set(DAEMON_SRC
    daemon.cpp 
    homeDaemon.h
    homeDaemon.cpp
    api.h
    api.cpp
    account.h
    account.cpp
    ../../../translations/deepin-home-daemon.qrc
    )

# Find the Qt5Quick library
find_package(Qt5Quick CONFIG REQUIRED)
find_package(Qt5DBus CONFIG REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)

# Add EXE
add_executable(${APP_NAME} ${SRC})

set_source_files_properties(../dbusservice/org.freedesktop.DBus.Properties.xml PROPERTIES CLASSNAME PropertiesChangedProxy)
set_source_files_properties(../dbusservice/org.freedesktop.DBus.Properties.xml PROPERTIES NO_NAMESPACE ON)
qt5_add_dbus_interface(DAEMON_SRC ../dbusservice/org.freedesktop.DBus.Properties.xml propertiesChangedProxy)

set_source_files_properties(../dbusservice/com.deepin.deepinid.xml PROPERTIES CLASSNAME DeepinidDaemonProxy)
set_source_files_properties(../dbusservice/com.deepin.deepinid.xml PROPERTIES NO_NAMESPACE ON)
qt5_add_dbus_interface(DAEMON_SRC ../dbusservice/com.deepin.deepinid.xml deepinidDaemonProxy)

set_source_files_properties(../dbusservice/com.deepin.deepinid.Client.xml PROPERTIES CLASSNAME DeepinidClientProxy)
set_source_files_properties(../dbusservice/com.deepin.deepinid.Client.xml PROPERTIES NO_NAMESPACE ON)
qt5_add_dbus_interface(DAEMON_SRC ../dbusservice/com.deepin.deepinid.Client.xml deepinidClientProxy)

qt5_add_dbus_adaptor(DAEMON_SRC ../dbusservice/com.deepin.Home.Daemon.xml homeDaemon.h HomeDaemon homeDaemonAdaptor HomeDaemonAdaptor)
add_executable(${APP_DAEMON_NAME} ${DAEMON_SRC})

# 由于 EXE 只是作为启动程序加载 LIB 使用，一般来说，只需链接 ${LIB_NAME} 既可。
target_link_libraries(${APP_NAME}
    Qt5::Quick
    Qt5::DBus
    ${DtkDeclarative_LIBRARIES}
    )
target_link_libraries(${APP_DAEMON_NAME}
    Qt5::Core
    Qt5::Network
    Qt5::DBus
    Qt5::Widgets
    )

set_target_properties(${APP_NAME} PROPERTIES INSTALL_RPATH ${DTK_QML_APP_PLUGIN_PATH})
install(TARGETS ${APP_NAME} DESTINATION ${APP_BIN_INSTALL_DIR})
install(TARGETS ${APP_DAEMON_NAME} DESTINATION ${APP_BIN_INSTALL_DIR})
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../../${APP_NAME}.desktop" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../../${APP_DAEMON_NAME}.desktop" DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../dbusservice/com.deepin.Home.Daemon.service" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../maincomponentplugin/images/deepin-home.svg" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)

=== src/preloadplugin/CMakeLists.txt ===
set(PRELOAD_LIB_NAME dtkqml-${CMAKE_PROJECT_NAME}-Preload)
set(PRELOAD_SRC
    preloadplugin.cpp
    )
find_package(Qt5QuickCompiler REQUIRED)
qtquick_compiler_add_resources(PRELOAD_RCC_SOURCES preload.qrc)
include_directories(src/preloadplugin)
add_library(${PRELOAD_LIB_NAME} SHARED
    ${PRELOAD_SRC}
    ${PRELOAD_RCC_SOURCES}
    )
target_link_libraries(${PRELOAD_LIB_NAME}
    Qt5::Quick
    ${DtkDeclarative_LIBRARIES}
    )
install(TARGETS ${PRELOAD_LIB_NAME} DESTINATION ${DTK_QML_APP_PLUGIN_PATH})

=== debian/changelog ===
deepin-home (0.0.5-1) unstable; urgency=medium

  [ TagBuilder ]
  * Initial release

  [ Deepin Sysdev ]
  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 14 Nov 2022 13:59:54 +0800

## deepin-home 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(deepin-home VERSION 0.1 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Quick)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Quick)
find_package(DtkDeclarative REQUIRED)

add_subdirectory(src)

execute_process(COMMAND bash "-c" "lrelease translations/**/*"
                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== src/main/CMakeLists.txt ===
--- 
+++ 
@@ -68,3 +68,4 @@
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../../${APP_DAEMON_NAME}.desktop" DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart)
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../dbusservice/com.deepin.Home.Daemon.service" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services)
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../maincomponentplugin/images/deepin-home.svg" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
+install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../maincomponentplugin/images/deepin-home.svg" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/locolor/scalable/apps)

=== debian/changelog ===
deepin-home (1.0.3-1) unstable; urgency=medium

  [ TagBuilder ]
  * Initial release

  [ Deepin Sysdev ]
  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 22 Nov 2022 14:11:55 +0800

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export QT_SELECT = qt5

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## deepin-home 1.0.5

=== debian/changelog ===
deepin-home (1.0.5-1) unstable; urgency=medium
  
  [ TagBuilder ]
  * fix: display in dark theme
  * feat: change name of the desktop file

  [ Deepin Sysdev ]
  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 28 Nov 2022 13:53:31 +0800

deepin-home (1.0.0) UNRELEASED; urgency=medium

  * Initial release

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 09 Sep 2022 17:42:57 +0800

## deepin-home 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,13 @@
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Quick)
 find_package(DtkDeclarative REQUIRED)
 
+execute_process(COMMAND dpkg-parsechangelog "--show-field" "Version"
+                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+                TIMEOUT 3
+                OUTPUT_STRIP_TRAILING_WHITESPACE
+                OUTPUT_VARIABLE result_var)
+add_definitions(-DAPP_VERSION="${result_var}")
+
 add_subdirectory(src)
 
 execute_process(COMMAND bash "-c" "lrelease translations/**/*"

=== src/maincomponentplugin/CMakeLists.txt ===
set(MAINCOMPONENT_LIB_NAME dtkqml-${CMAKE_PROJECT_NAME})
set(MAINCOMPONENNT_SRC
    maincomponentplugin.h
    maincomponentplugin.cpp
    worker.h
    worker.cpp
    network.h
    network.cpp
)
find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
find_package(Qt5QuickCompiler REQUIRED)
find_package(Qt5DBus CONFIG REQUIRED)

set_source_files_properties(../dbusservice/com.deepin.Home.Daemon.xml PROPERTIES CLASSNAME HomeDaemonProxy)
qt5_add_dbus_interface(MAINCOMPONENNT_SRC ../dbusservice/com.deepin.Home.Daemon.xml homeDaemonProxy)

qtquick_compiler_add_resources(MAINCOMPONENT_RCC_SOURCES maincomponent.qrc)
include_directories(src/maincomponentplugin)
add_library(${MAINCOMPONENT_LIB_NAME} SHARED
    ${MAINCOMPONENNT_SRC}
    ${MAINCOMPONENT_RCC_SOURCES}
)
target_include_directories(${MAINCOMPONENT_LIB_NAME}
    PUBLIC
    ${DTKDECLARATIVE_INCLUDE_DIR}
)
target_link_libraries(${MAINCOMPONENT_LIB_NAME}
    Qt5::Quick
    Qt5::Widgets
    Qt5::DBus
    ${DtkDeclarative_LIBRARIES}
)
install(TARGETS ${MAINCOMPONENT_LIB_NAME} DESTINATION ${DTK_QML_APP_PLUGIN_PATH})

=== debian/changelog ===
deepin-home (1.0.7-1) unstable; urgency=medium
  
  [ TagBuilder ]
  * fix: display in dark theme
  * feat: change name of the desktop file

  [ Deepin Sysdev ]
  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 01 Dec 2022 13:10:31 +0800

=== debian/control ===
Source: deepin-home
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 qtbase5-dev,
 qtdeclarative5-dev,
 libdtkcommon-dev,
 libdtkcore-dev,
 libdtkgui-dev,
 libdtkdeclarative-dev,
 qttools5-dev-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: deepin-home
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin home
 quick login bbs, bug report.

## deepin-home 1.0.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(deepin-home VERSION 0.1 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Quick)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Quick)
find_package(DtkDeclarative REQUIRED)
add_definitions(-DAPP_VERSION="${APP_VERSION}")
add_subdirectory(src)

execute_process(COMMAND bash "-c" "lrelease translations/**/*"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
deepin-home (1.0.13-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 09 Jan 2023 15:16:59 +0800

deepin-home (1.0.10) unstable; urgency=medium
  
  * fix: open the wrong link when click carousel
  * feat: support high dpi

 -- TagBuilder <tagbuilder@deepin.com>  Tue, 29 Dec 2022 12:16:59 +0800

deepin-home (1.0.4) UNRELEASED; urgency=medium
  
  * fix: display in dark theme
  * feat: change name of the desktop file

 -- TagBuilder <tagbuilder@deepin.com>  Tue, 22 Nov 2022 16:50:11 +0800

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 %:
 	dh $@
 
-
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DAPP_VERSION=$(DEB_VERSION_UPSTREAM)
 # dh_make generated override targets
 # This is example for Cmake (See https://bugs.debian.org/641051 )
 #override_dh_auto_configure:

## deepin-home 1.6.0

=== src/CMakeLists.txt ===
# Application
include(GNUInstallDirs)
set(DTK_QML_APP_PLUGIN_PATH ${CMAKE_INSTALL_LIBDIR}/dtkdeclarative/qml-app)
add_definitions(-DAPP_PLUGIN_PATH="${DTK_QML_APP_PLUGIN_PATH}")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(LIBRARY_OUTPUT_PATH "${CMAKE_CURRENT_SOURCE_DIR}/lib")
    add_definitions(-DLOCALLIBPATH="${LIBRARY_OUTPUT_PATH}")
endif()

add_subdirectory(api)
add_subdirectory(main)
add_subdirectory(preloadplugin)
add_subdirectory(maincomponentplugin)

# 安装 daemon dbus 服务配置
configure_file("dbusservice/com.deepin.Home.Daemon.service.in" "dbusservice/com.deepin.Home.Daemon.service")
install(FILES "${CMAKE_BINARY_DIR}/src/dbusservice/com.deepin.Home.Daemon.service" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services)
# 安装 icons
install(FILES "maincomponentplugin/images/deepin-home.svg" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
install(FILES "maincomponentplugin/images/deepin-home.svg" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/locolor/scalable/apps)
# 安装 desktop
install(FILES "../deepin-home.desktop" DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES "../deepin-home.desktop" DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/skel/Desktop)
# 安装 daemon 的 desktop 文件到全局自启动目录，desktop名字使用APP_NAME，以避免AM将daemon和client识别为两个应用
# install(FILES "../deepin-home-daemon.desktop" DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart RENAME deepin-home.desktop)

=== src/api/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(API)
add_library(${PROJECT_NAME}
        api.h
        api.cpp
        diskCacheShare.h
        diskCacheShare.cpp
        getFeedbackParam.h
)
target_include_directories(${PROJECT_NAME} PUBLIC ${PROJECT_SOURCE_DIR})
target_link_libraries(${PROJECT_NAME} QtDeepinHomeAPI)

=== src/main/CMakeLists.txt ===
include(GNUInstallDirs)
set(APP_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
set(APP_NAME ${CMAKE_PROJECT_NAME})
set(APP_DAEMON_NAME ${CMAKE_PROJECT_NAME}-daemon)
set(CMAKE_AUTORCC ON)

add_definitions(-DAPP_NAME="${APP_NAME}")
add_definitions(-DAPP_DAEMON_NAME="${APP_DAEMON_NAME}")
add_definitions(-DAPP_BIN_INSTALL_DIR="${APP_BIN_INSTALL_DIR}")

if(${DTK_OLD_VERSION})
  add_definitions(-DDTK_OLD_VERSION)
endif()
###! main目录创建出二进制可执行文件，但启动方式由 DAppLoader
###! 中提供, 请不要在 main 中实现额外内容，请将需要实现的部分
###! 移动到 preload 插件和 maincomponent 插件中。

# Set sources
set(SRC
    main.cpp
    ../../translations/deepin-home.qrc
    )
set(DAEMON_SRC
    daemon.cpp 
    homeDaemon.h
    homeDaemon.cpp
    account.h
    account.cpp
    ../../translations/deepin-home-daemon.qrc
    )

# Find the Qt5Quick library
find_package(Qt5Quick CONFIG REQUIRED)
find_package(Qt5DBus CONFIG REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(OpenSSL REQUIRED)

# 通过 dbus 接口的 xml 描述文件，生成调用dbus的 cpp 代码
set_source_files_properties(../dbusservice/org.freedesktop.DBus.Properties.xml PROPERTIES CLASSNAME PropertiesChangedProxy)
set_source_files_properties(../dbusservice/org.freedesktop.DBus.Properties.xml PROPERTIES NO_NAMESPACE ON)
qt5_add_dbus_interface(DAEMON_SRC ../dbusservice/org.freedesktop.DBus.Properties.xml propertiesChangedProxy)

set_source_files_properties(../dbusservice/org.desktopspec.ApplicationManager1.Application.xml PROPERTIES CLASSNAME ApplicationManager1Application)
set_source_files_properties(../dbusservice/org.desktopspec.ApplicationManager1.Application.xml PROPERTIES NO_NAMESPACE ON)
qt5_add_dbus_interface(DAEMON_SRC ../dbusservice/org.desktopspec.ApplicationManager1.Application.xml applicationManager1Application)

set_source_files_properties(../dbusservice/com.deepin.deepinid.xml PROPERTIES CLASSNAME DeepinidDaemonProxy)
set_source_files_properties(../dbusservice/com.deepin.deepinid.xml PROPERTIES NO_NAMESPACE ON)
qt5_add_dbus_interface(DAEMON_SRC ../dbusservice/com.deepin.deepinid.xml deepinidDaemonProxy)

set_source_files_properties(../dbusservice/com.deepin.deepinid.Client.xml PROPERTIES CLASSNAME DeepinidClientProxy)
set_source_files_properties(../dbusservice/com.deepin.deepinid.Client.xml PROPERTIES NO_NAMESPACE ON)
qt5_add_dbus_interface(DAEMON_SRC ../dbusservice/com.deepin.deepinid.Client.xml deepinidClientProxy)

set_source_files_properties(../dbusservice/com.deepin.Home.Daemon.xml PROPERTIES CLASSNAME HomeDaemonProxy)
qt5_add_dbus_interface(SRC ../dbusservice/com.deepin.Home.Daemon.xml homeDaemonProxy)

# 通过 dbus 接口的 xml 描述文件，生成 Adaptor 类，使用 Adaptor 可以选择性的暴露类接口到 dbus
# 可使用 qdbuscpp2xml 生成类的 xml 描述文件，再通过修改 xml 来隐藏部分接口
# daemon 的 xml 描述文件生成： qdbuscpp2xml "src/main/homeDaemon.h" "-o" "src/dbusservice/com.deepin.Home.Daemon.xml"
qt5_add_dbus_adaptor(DAEMON_SRC ../dbusservice/com.deepin.Home.Daemon.xml homeDaemon.h HomeDaemon homeDaemonAdaptor HomeDaemonAdaptor)

# Add Client EXE
add_executable(${APP_NAME} ${SRC})
# Add Daemon Exec
add_executable(${APP_DAEMON_NAME} ${DAEMON_SRC})

# 由于 EXE 只是作为启动程序加载 LIB 使用，一般来说，只需链接 ${LIB_NAME} 既可。
target_link_libraries(${APP_NAME}
    Qt5::Quick
    Qt5::DBus
    ${DtkDeclarative_LIBRARIES}
    )
target_link_libraries(${APP_DAEMON_NAME}
    Qt5::Core
    Qt5::Network
    Qt5::DBus
    Qt5::Widgets
    OpenSSL::SSL
    API
    )

set_target_properties(${APP_NAME} PROPERTIES INSTALL_RPATH ${DTK_QML_APP_PLUGIN_PATH})
# 安装 deepin-home
install(TARGETS ${APP_NAME} DESTINATION ${APP_BIN_INSTALL_DIR})
# 安装 deepin-home-daemon
install(TARGETS ${APP_DAEMON_NAME} DESTINATION ${APP_BIN_INSTALL_DIR})

=== 3rdparty/apiserver/client/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(QtDeepinHomeAPI)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Network Gui)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

add_library(${PROJECT_NAME}
  DHFeedback_CreateFeedbackRequest.h
  DHFeedback_CreateFeedbackResponse.h
  DHFeedback_PublicListResponse.h
  DHFeedback_PublicReplyResponse.h
  DHFeedback_PublicStatResponse.h
  DHFeedback_PublicViewResponse.h
  DHFeedback_UserListResponse.h
  DHFeedback_UserRelationListResponse.h
  DHFeedback_UserRelationResposne.h
  DHHandlers_BBSURLRequest.h
  DHHandlers_BBSURLResponse.h
  DHHandlers_ClientBBSTokenRequest.h
  DHHandlers_ClientBBSTokenResponse.h
  DHHandlers_ClientLoginRequest.h
  DHHandlers_ClientLoginResponse.h
  DHHandlers_ClientMessagesResponse.h
  DHHandlers_ClientUserInfoResponse.h
  DHHandlers_GetStetingResponse.h
  DHHandlers_LanguageCodeResponse.h
  DHHandlers_LoginConfigResponse.h
  DHHandlers_NodeSelectResponse.h
  DHHandlers_PreUploadRequest.h
  DHHandlers_PreUploadResponse.h
  DHHandlers_PublicTopicsResponse.h
  DHHandlers_Topic.h
  DHClientApi.h
  DHUserApi.h
  DHHelpers.h
  DHHttpRequest.h
  DHObject.h
  DHEnum.h
  DHHttpFileElement.h
  DHServerConfiguration.h
  DHServerVariable.h
  DHOauth.h
  DHFeedback_CreateFeedbackRequest.cpp
  DHFeedback_CreateFeedbackResponse.cpp
  DHFeedback_PublicListResponse.cpp
  DHFeedback_PublicReplyResponse.cpp
  DHFeedback_PublicStatResponse.cpp
  DHFeedback_PublicViewResponse.cpp
  DHFeedback_UserListResponse.cpp
  DHFeedback_UserRelationListResponse.cpp
  DHFeedback_UserRelationResposne.cpp
  DHHandlers_BBSURLRequest.cpp
  DHHandlers_BBSURLResponse.cpp
  DHHandlers_ClientBBSTokenRequest.cpp
  DHHandlers_ClientBBSTokenResponse.cpp
  DHHandlers_ClientLoginRequest.cpp
  DHHandlers_ClientLoginResponse.cpp
  DHHandlers_ClientMessagesResponse.cpp
  DHHandlers_ClientUserInfoResponse.cpp
  DHHandlers_GetStetingResponse.cpp
  DHHandlers_LanguageCodeResponse.cpp
  DHHandlers_LoginConfigResponse.cpp
  DHHandlers_NodeSelectResponse.cpp
  DHHandlers_PreUploadRequest.cpp
  DHHandlers_PreUploadResponse.cpp
  DHHandlers_PublicTopicsResponse.cpp
  DHHandlers_Topic.cpp
  DHClientApi.cpp
  DHUserApi.cpp
  DHHelpers.cpp
  DHHttpRequest.cpp
  DHHttpFileElement.cpp
  DHOauth.cpp
  )

target_include_directories(${PROJECT_NAME}
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_link_libraries(${PROJECT_NAME}
    PUBLIC
        Qt${QT_VERSION_MAJOR}::Core
        Qt${QT_VERSION_MAJOR}::Network
        Qt${QT_VERSION_MAJOR}::Gui

)

configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
)

install(
    TARGETS ${PROJECT_NAME}
    EXPORT ${PROJECT_NAME}Targets
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}"
)

install(
    FILES ${HEADER_FILES}
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}
)

install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
)

install(
    EXPORT ${PROJECT_NAME}Targets
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
)

=== debian/changelog ===
deepin-home (1.6.0) unstable; urgency=medium

  * feat: disable auto start by default

 -- myml <wurongjie@deepin.org>  Thu, 08 Aug 2024 10:30:24 +0800

deepin-home (1.5.14) unstable; urgency=medium

  * feat: append os version to system info

 -- myml <wurongjie@deepin.org>  Fri, 02 Aug 2024 13:43:02 +0800

deepin-home (1.5.13) unstable; urgency=medium

  * fix: prevent window from maximizing(Issue: https://github.com/linuxdeepin/developer-center/issues/6192)
  * feat: update desktop i18n
  * feat: support new version linglong build

 -- myml <wurongjie1@gmail.org>  Mon, 01 Jul 2024 15:29:04 +0800

deepin-home (1.5.12) unstable; urgency=medium

  * fix #8885
  * release 1.5.12

 -- Mike Chen <chenke@deepin.org>  Tue, 04 Jun 2024 10:17:06 +0800

deepin-home (1.5.11) unstable; urgency=medium

  * fix: Issue of client freezing(Issue: https://github.com/linuxdeepin/developer-center/issues/8591)

 -- myml <wurongjie1@gmail.org>  Mon, 20 May 2024 17:29:02 +0800

deepin-home (1.5.10) unstable; urgency=medium

  * fix: Frequent clicking on the tray icon would cause the client to freeze(Issue: https://github.com/linuxdeepin/developer-center/issues/8188)
  * fix: apt sources info missing part(Issue: https://github.com/linuxdeepin/developer-center/issues/8460)

 -- myml <wurongjie1@gmail.org>  Thu, 09 May 2024 11:42:37 +0800

deepin-home (1.5.8) unstable; urgency=medium

  * fix: the daemon restarts repeatedly when there is no network(Issue: https://github.com/linuxdeepin/developer-center/issues/7936)

 -- myml <wurongjie@deepin.org>  Thu, 18 Apr 2024 09:59:04 +0800

deepin-home (1.5.7) unstable; urgency=medium

  * fix: installed the wrong desktop file(Issue: https://github.com/linuxdeepin/developer-center/issues/7538)

 -- myml <wurongjie@deepin.org>  Tue, 19 Mar 2024 09:47:51 +0800

deepin-home (1.5.6) unstable; urgency=medium

  * feat: add linglong build support
  * feat: change dtk qml app plugin path

 -- myml <wurongjie@deepin.org>  Wed, 13 Mar 2024 10:41:19 +0800

deepin-home (1.5.5) unstable; urgency=medium

  * feat: add qt quick layouts to depends(Issue: https://github.com/linuxdeepin/developer-center/issues/7036)

 -- myml <wurongjie@deepin.org>  Tue, 23 Jan 2024 14:36:26 +0800

deepin-home (1.5.4) unstable; urgency=medium

  * feat: Improve user experience for email input field(Issue: https://github.com/linuxdeepin/developer-center/issues/6430)
  * fix: cannot run in beta3(Issue: https://github.com/linuxdeepin/developer-center/issues/6652)
  * fix: collect count of feedback detail display incorrectly(Issue: https://github.com/linuxdeepin/developer-center/issues/5451)
  * feat: Use AM management to autostart(Issue: https://github.com/linuxdeepin/developer-center/issues/5211)

 -- myml <wurongjie@deepin.org>  Wed, 03 Jan 2024 16:40:04 +0800

deepin-home (1.5.3) unstable; urgency=medium

  * fix: first startup display error page(Issue: https://github.com/linuxdeepin/developer-center/issues/6400)

 -- myml <wurongjie@deepin.org>  Mon, 11 Dec 2023 15:31:29 +0800

deepin-home (1.5.2) unstable; urgency=medium

  * feat: return to homepage when logged out(Issue: https://github.com/linuxdeepin/developer-center/issues/5661)
  * chore: correct a typo in account.cpp
    Thanks to Felix Yan
  * feat: check login status when the main window is opened(Issue: https://github.com/linuxdeepin/developer-center/issues/5194)
  * feat: update translations

 -- myml <wurongjie@deepin.org>  Thu, 07 Dec 2023 10:11:23 +0800

deepin-home (1.5.1) unstable; urgency=medium

  * feat: add inxi to depends(Issue: https://github.com/linuxdeepin/developer-center/issues/6182)

 -- myml <wurongjie@deepin.org>  Tue, 14 Nov 2023 16:39:43 +0800

deepin-home (1.5.0) unstable; urgency=medium

  * fix: page mouse event penetration
  * fix: Some data on the feedback details page is always 0
    Thanks to student-ice
  * chore: update 3rdparty
  * feat: feedback support filter and search
  * feat: Add padding to the bottom of the feedback list(Issue: https://github.com/linuxdeepin/developer-center/issues/6098)
  * feat: support upload sysinfo
  * fix: unable to filter my feedback
  * chore: update translations

 -- myml <wurongjie@deepin.org>  Tue, 14 Nov 2023 13:22:58 +0800

deepin-home (1.4.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: not return to home page when logout(Issue: https://github.com/linuxdeepin/developer-center/issues/5372)
  * fix: My collect only show one page
  * fix: optimization tips content(Issue: https://github.com/linuxdeepin/developer-center/issues/5000)

 -- myml <wurongjie@deepin.org>  Tue, 12 Sep 2023 09:25:12 +0800

deepin-home (1.4.0) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: add navigation stack support(Issue: https://github.com/linuxdeepin/developer-center/issues/5096)
  * fix: Titlebar icon doesn't change with the theme
    Thanks to student-ice
  * feat: some minor optimizations(Issue: https://github.com/linuxdeepin/developer-center/issues/5098)
  * fix: application crash caused by event loop blocking
    Thanks to student-ice
  * fix: When switching tabs quickly, the feedback list is abnormal
  * feat: Use openapi-generator to generate http api
  * fix: Email username cannot include '.' symbol
    Thanks to student-ice(Issue: https://github.com/linuxdeepin/developer-center/issues/5195)
  * fix: Official replies can be edited
    Thanks to student-ice(Issue: https://github.com/linuxdeepin/developer-center/issues/5260)
  * feat: Extract the API into a standalone CMake module
  * fix: unable to submit feedback
  * feat: Content can be undone by Ctrl + Z when submitting feedback or requests
    Thanks to student-ice
  * feat: add api proxy component to qml
  * feat: add diskCacheShare object
  * fix: client repeated login
  * feat: feedback list use api proxy component
  * feat: The user token should not be print in the log
  * feat: clean up old API calls
  * feat: Replace API with APIProxy
  * chore: update translations



=== debian/control ===
Source: deepin-home
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 pkg-config,
 qtbase5-dev,
 qtdeclarative5-dev,
 libdtkcommon-dev,
 libdtkcore-dev,
 libdtkgui-dev,
 libdtkdeclarative-dev,
 qttools5-dev-tools,
 qml-module-qtquick-controls,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-controls2,
 qml-module-qtquick-layouts,
 libssl-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: deepin-home
Architecture: any
Depends: 
 ${shlibs:Depends}, 
 ${misc:Depends},
 qml-module-qtquick-controls,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-controls2,
 qml-module-qtquick-layouts,
 inxi,
Description: deepin home
 quick login bbs, bug report.

## deepin-home 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,19 @@
 find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Quick)
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Quick)
 find_package(DtkDeclarative REQUIRED)
+
+# 旧版本Dtk不支持使用cmake find_package 获取版本号， 使用 PkgConfig 来获取版本号
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(DtkDeclarativeModule REQUIRED dtkdeclarative)
+# DtkDeclarative 在 5.6.3 更改了插件的路径和使用方式 See: https://github.com/linuxdeepin/dtkdeclarative/commit/a9701858155b7118bfb53b6f241e35b9f6c0f15e
+if(${DtkDeclarativeModule_VERSION} VERSION_LESS "5.6.3")
+  set(DTK_OLD_VERSION True)
+endif()
+
 add_definitions(-DAPP_VERSION="${APP_VERSION}")
 add_subdirectory(src)
+add_subdirectory(3rdparty/apiserver/client)
 
+set(ENV{QT_SELECT} qt5)
 execute_process(COMMAND bash "-c" "lrelease translations/**/*"
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== src/api/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,6 @@
 add_library(${PROJECT_NAME}
         api.h
         api.cpp
-        diskCacheShare.h
-        diskCacheShare.cpp
         getFeedbackParam.h
 )
 target_include_directories(${PROJECT_NAME} PUBLIC ${PROJECT_SOURCE_DIR})

=== debian/changelog ===
deepin-home (1.6.3) unstable; urgency=medium

  [ myml ]
  * refactor: format Index.qml
  * feat: add hyperlink to global translation
  * chore: update translation

  [ transifex-integration[bot] ]
  * i18n: Translate deepin-home-desktop.ts

  [ transifex-integration[bot] ]
  * i18n: Translate translations/deepin-home

 -- myml <wurongjie@deepin.org>  Fri, 22 Nov 2024 17:29:24 +0800

deepin-home (1.6.2) unstable; urgency=medium

  [ transifex-integration[bot] ]
  * i18n: Translate deepin-home-desktop.ts in hu
  * i18n: Translate deepin-home-desktop.ts in ro
  * i18n: Translate deepin-home-desktop.ts in ca
  * i18n: Translate deepin-home-desktop.ts in nl
  * i18n: Translate deepin-home-desktop.ts in sq
  * i18n: Translate deepin-home-desktop.ts in fi
  * i18n: Translate deepin-home-desktop.ts in es
  * i18n: Translate deepin-home-desktop.ts in de
  * i18n: Translate deepin-home-desktop.ts in es
  * i18n: Translate deepin-home.ts in gl_ES
  * i18n: Translate deepin-home.ts in gl_ES
  * i18n: Translate deepin-home-daemon.ts in gl_ES
  * i18n: Translate deepin-home-desktop.ts in gl_ES
  * i18n: Translate deepin-home.ts in gl_ES

  [ myml ]
  * feat: remove custom http cache class
  * fix: the feedback reply link cannot opened

 -- myml <wurongjie@deepin.org>  Fri, 27 Sep 2024 14:55:37 +0800

## deepin-home 1.6.4

=== src/maincomponentplugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-set(MAINCOMPONENT_LIB_NAME dtkqml-${CMAKE_PROJECT_NAME})
+if(${DTK_OLD_VERSION})
+    set(MAINCOMPONENT_LIB_NAME dtkqml-${CMAKE_PROJECT_NAME})
+else()
+    set(MAINCOMPONENT_LIB_NAME ${CMAKE_PROJECT_NAME}-main)
+endif()
 set(MAINCOMPONENNT_SRC
     maincomponentplugin.h
     maincomponentplugin.cpp
@@ -6,10 +10,14 @@
     worker.cpp
     network.h
     network.cpp
+    apiproxy.h
+    apiproxy.cpp
 )
 find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
 find_package(Qt5QuickCompiler REQUIRED)
 find_package(Qt5DBus CONFIG REQUIRED)
+find_package(Qt5Concurrent CONFIG REQUIRED)
+find_package(OpenSSL REQUIRED)
 
 set_source_files_properties(../dbusservice/com.deepin.Home.Daemon.xml PROPERTIES CLASSNAME HomeDaemonProxy)
 qt5_add_dbus_interface(MAINCOMPONENNT_SRC ../dbusservice/com.deepin.Home.Daemon.xml homeDaemonProxy)
@@ -28,7 +36,10 @@
     Qt5::Quick
     Qt5::Widgets
     Qt5::DBus
+    Qt5::Concurrent
+    OpenSSL::SSL
     ${DtkDeclarative_LIBRARIES}
+    API
 )
 install(TARGETS ${MAINCOMPONENT_LIB_NAME} DESTINATION ${DTK_QML_APP_PLUGIN_PATH})

=== debian/changelog ===
deepin-home (1.6.4) UNRELEASED; urgency=medium

  [ transifex-integration[bot] ]
  * i18n: Updates for project Deepin Home (#131)

  [ myml ]
  * feat: support region server

 -- myml <wurongjie@deepin.org>  Wed, 05 Mar 2025 15:00:10 +0800

## deepin-home 1.6.5

=== src/preloadplugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-set(PRELOAD_LIB_NAME dtkqml-${CMAKE_PROJECT_NAME}-Preload)
+if(${DTK_OLD_VERSION})
+    set(PRELOAD_LIB_NAME dtkqml-${CMAKE_PROJECT_NAME}-Preload)
+else()
+    set(PRELOAD_LIB_NAME ${CMAKE_PROJECT_NAME}-preload)
+endif()
 set(PRELOAD_SRC
     preloadplugin.cpp
     )

=== debian/changelog ===
deepin-home (1.6.5) unstable; urgency=medium
  [ transifex-integration[bot] ]
  * i18n: update transifex file

 -- myml <wurongjie@deepin.org>  Fri, 22 Nov 2024 17:29:24 +0800
